/*
 File: cweave_sdcsym.cpp
 Date and Time: Fri Jan 30 18:55:07 2015 
*/
#include "cweave_sdc.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_cweave_sdc;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
Ccweave_sdc::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rweave_sdc_:{
       Rweave_sdc* sym;
     if(re->rule_ == 0){
       sym = new Rweave_sdc(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rweave_sdc*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rdirectives_:{
       Rdirectives* sym;
     if(re->rule_ == 0){
       sym = new Rdirectives(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirectives*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rdirectives_:{
       Rdirectives* sym;
     if(re->rule_ == 0){
       sym = new Rdirectives(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirectives*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs3_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs4_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr4();
     return;}
    case rhs5_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr5();
     return;}
    case rhs6_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr6();
     return;}
    case rhs7_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr7();
     return;}
    case rhs8_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr8();
     return;}
    case rhs9_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr9();
     return;}
    case rhs10_Rdirective_:{
       Rdirective* sym;
     if(re->rule_ == 0){
       sym = new Rdirective(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdirective*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr10();
     return;}
    default: return;
   }
}
